import { jsx } from "react/jsx-runtime";
import { EggCrack as EggCrack$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const EggCrack = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "EggCrack", ...props, children: /* @__PURE__ */ jsx(EggCrack$1, { weight: variant }) });
  }
);
EggCrack.displayName = "EggCrack";
Object.assign(EggCrack, { isGdsIcon: true });
export {
  EggCrack
};
